var CADASTRO = 0;



$("#CPF").mask("999.999.999-99");
$('#ProximoStap').click(function() {
  CADASTRO++;
  if (CADASTRO >= 1) {
    $('#AnteriorStap').css("display", "inline");
  }
  switch (CADASTRO) {
    case 1:
      $("#Estagio_1_1").hide();
      $("#Estagio_1_2").hide();
      $("#Estagio_2_1").show();
      $("#Estagio_2_2").show();
      break;
    case 2:
      $("#Estagio_2_1").hide();
      $("#Estagio_2_2").hide();
      $("#Estagio_3_1").show();
      $("#Estagio_3_2").show();
      $("#Estagio_3_3").show();
      $('#ProximoStap').css("display", "none");
      $('#SalvarUsuario').css("display", "inline");
      break;
  }
});

$('#AnteriorStap').click(function() {
  CADASTRO--;
  if (CADASTRO <= 0) {
    $('#AnteriorStap').css("display", "none");
  }
  switch (CADASTRO) {
    case 0:
      $("#Estagio_1_1").show();
      $("#Estagio_1_2").show();
      $("#Estagio_2_1").hide();
      $("#Estagio_2_2").hide();
      break;
    case 1:
      $("#Estagio_2_1").show();
      $("#Estagio_2_2").show();
      $("#Estagio_3_1").hide();
      $("#Estagio_3_2").hide();
      $("#Estagio_3_3").hide();
      $('#ProximoStap').css("display", "inline");
      $('#SalvarUsuario').css("display", "none");
      break;
  }
});

$('#CancelarCadastro').click(function() {
  $('#ProximoStap').css("display", "inline");
  $('#SalvarUsuario').css('display', 'none');
  $('#AnteriorStap').css('display', 'none');
  $("#Estagio_1_1").show();
  $("#Estagio_1_2").show();
  $("#Estagio_2_1").hide();
  $("#Estagio_2_2").hide();
  $("#Estagio_3_1").hide();
  $("#Estagio_3_2").hide();
  $("#Estagio_3_3").hide();
  $('#USUARIO').val('');
  $('#CPF').val('');
  $('#PERFIL').val('');
  $('#EMPRESA').val('');
  $('#LOGIN').val('');
  $('#SENHA').val('');
  CADASTRO = 0;
});

$('#CloseModal').click(function() {
  $('#ProximoStap').css("display", "inline");
  $('#SalvarUsuario').css('display', 'none');
  $('#AnteriorStap').css('display', 'none');
  $("#Estagio_1_1").show();
  $("#Estagio_1_2").show();
  $("#Estagio_2_1").hide();
  $("#Estagio_2_2").hide();
  $("#Estagio_3_1").hide();
  $("#Estagio_3_2").hide();
  $('#USUARIO').val('');
  $('#CPF').val('');
  $('#PERFIL').val('');
  $('#EMPRESA').val('');
  $('#LOGIN').val('');
  $('#SENHA').val('');
  CADASTRO = 0;
});

function ValidarCadastro() {
  if ($('#USUARIO').val() == '' || $('#CPF').val() == '' || $('#PERFIL').val() == '' || $('#EMPRESA').val() == '' || $('#LOGIN').val() == '' || $('#SENHA').val() == '') {
    var TITULO = '<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erro!';
    var TEXT_ERROR = '' +
      '<b><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> ATENÇÃO!</b> ' +
      'Não foi possível cadastrar o usuário, pois existe algum campo obrigatório que não foi devidamente preenchido.' +
      '<br><br><b>Detalhes do erro:</b><br>';
    var ERRO = '<ul>';
    if ($('#USUARIO').val() == '') {
      ERRO += '<li>É necessário informar o nome do usuário.</li>'
    }

    if ($('#CPF').val() == '') {
      ERRO += '<li>É necessário informar o CPF do usuário.</li>'
    }

    if ($('#PERFIL').val() == '') {
      ERRO += '<li>É necessário informar o perfil do usuário.</li>'
    }

    if ($('#EMPRESA').val() == '') {
      ERRO += '<li>É necessário informar a empresa ao qual o usuário esta vinculado.</li>'
    }

    if ($('#LOGIN').val() == '') {
      ERRO += '<li>É necessário informar o login a ser vinculado ao usuário.</li>'
    }

    if ($('#SENHA').val() == '') {
      ERRO += '<li>É necessário informar uma senha para o usuário.</li>'
    }
    ERRO += '</ul>'

    $("#TituloModal").html(TITULO);
    $("#TextError").html(TEXT_ERROR);
    $("#descError").html("<b><i> " + ERRO + " </i></b>");
    $("#Erro").modal('show');
    return false;
  } else {
    return true;
  }
}

$(document).ready(function() {
  $('#DataTable').dataTable();
});
